OpenCL* for CPU
Ask questions and share information on Intel® SDK for OpenCL™ Applications and OpenCL™ implementations for Intel® CPU
Announcements
This forum covers OpenCL* for CPU only. OpenCL* for GPU questions can be asked in the GPU Compute Software forum. Intel® FPGA SDK for OpenCL™ questions can be ask in the FPGA Intel® High Level Design forum.

install GPU ERROR

Hung__Edwin
Beginner
367 Views

environment : ubuntu 16.04 

version : "l_openvino_toolkit_p_2019.1.144"

CPU : N4200

I try to install GPU but have some error as below

./install_NEO_OCL_driver.sh
Intel OpenCL graphics driver installer
Looking for previously installed user-mode driver...
dpkg-query: no packages found matching intel-opencl
dpkg-query: no packages found matching intel-ocloc
dpkg-query: no packages found matching intel-gmmlib
dpkg-query: no packages found matching intel-igc-core
dpkg-query: no packages found matching intel-igc-opencl
Installing prerequisites...
apt-get -y update
Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB]   
Hit:2 http://us.archive.ubuntu.com/ubuntu xenial InRelease                     
Get:3 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]    
Get:4 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]  
Fetched 325 kB in 2s (145 kB/s)   
Reading package lists... Done
apt-get -y install libnuma1 ocl-icd-libopencl1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libnuma1 is already the newest version (2.0.11-1ubuntu1.1).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 kde-telepathy-minimal : Depends: kde-config-telepathy-accounts (>= 15.04.0) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
ERROR: failed to run apt-get -y install libnuma1 ocl-icd-libopencl1
Problem (or disk space)?
                sudo -E ./install_NEO_OCL_driver.sh
2. Verify that you have enough disk space, and run the script again.

 

0 Kudos
1 Reply
Michael_C_Intel1
Moderator
367 Views

Hi EdwinH,

Thanks for reporting this issue and the continued interest. The issue caught me off guard because I hadn't seen it before.

The install script uses aptitude (apt) install infrastructure available on Ubuntu OS. Apt may report dependency issues on the system unrelated to the command executed and fail as a result.

kde related packages shouldn't have any bearing on the OpenVINO™ toolkit running on GEN architecture.

I recommend seeing Ubuntu discussion on aptitude issues to evaluate how you can fix the system's aptitude environment.

If the script and apt blocks your progress, dpkg may be employed to manually install .deb packages. For manual install please check the latest READMEs in accordance with instructions on the Intel Graphics Compute Runtime for OpenCL driver Github portal (NEO).

The NEO deployment script included with OpenVINO toolkit intends to make this deployment consolidated. It uses the .deb files included within the OpenVINO™ Toolkit distribution. These .deb files were validated with the toolkit. The Github portal may have newer builds of the NEO runtime. They were not validated with the toolkit.

Hope this helps,

 

-MichaelC

Reply